import { AbstractUiComponent } from "../AbstractUiComponent";
import { UiComponentConfig } from "../../generated/UiComponentConfig";
export declare class ElementUiComponentAdapter extends AbstractUiComponent<UiComponentConfig> {
    private element;
    constructor(element: HTMLElement);
    getMainDomElement(): HTMLElement;
    destroy(): void;
}
